GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
gpr_cmdline Struct Reference

## Data Fields
const char * | description
arg * | args
const char * | argv0
const char * | extra_arg_name
const char * | extra_arg_help
void(* | extra_arg )(void *user_data, const char *arg)
void * | extra_arg_user_data
void(* | state )(gpr_cmdline *cl, char *arg)
arg * | cur_arg

## Field Documentation

arg* gpr_cmdline::args

const char* gpr_cmdline::argv0

arg* gpr_cmdline::cur_arg

const char* gpr_cmdline::description

void(* gpr_cmdline::extra_arg)(void *user_data, const char *arg)

const char* gpr_cmdline::extra_arg_help

const char* gpr_cmdline::extra_arg_name

void* gpr_cmdline::extra_arg_user_data

void(* gpr_cmdline::state)(gpr_cmdline *cl, char *arg)

The documentation for this struct was generated from the following file:

- src/core/support/cmdline.c